Page MenuHomePhabricator

Help panel: Mobile version should show help contents on a scrollable layer behind the "post a question" form
Closed, ResolvedPublic

Description

Broken out from T211633#4850597:

Expected:

  • The "post a question" form is sticky to the bottom of the mobile screen and exists on a separate layer from the other help panel contents
  • The form should always appear above the device keyboard when the keyboard is activated
  • Other help panel content scrolls behind the "Post a question" form

Actual:

  • All content appears in the same plane
  • There is buggy behavior whereby sometimes the post a question form field is sometime appears only partially and behind the device keyboard:

Event Timeline

RHo created this task.Jan 3 2019, 9:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 3 2019, 9:53 PM
kostajh added a subscriber: kostajh.Jan 4 2019, 4:39 PM

@RHo is this a new requirement or did I miss that in the original specs? Does it need to be done before the initial launch?

RHo added a comment.Jan 4 2019, 5:48 PM

@RHo is this a new requirement or did I miss that in the original specs? Does it need to be done before the initial launch?

hi @kostajh - apologies this isn't new but wasn't super clear for the mobile mocks I put up. It doesn't have to be done before the initial launch.

RHo triaged this task as Low priority.Jan 4 2019, 6:26 PM

The "post a question" form is sticky to the bottom of the mobile screen and exists on a separate layer from the other help panel contents

@RHo should this be the case for step two of the post question process? This is how it currently looks on an iPhone 5/SE:

RHo added a comment.Jan 8 2019, 1:22 PM

The "post a question" form is sticky to the bottom of the mobile screen and exists on a separate layer from the other help panel contents

@RHo should this be the case for step two of the post question process? This is how it currently looks on an iPhone 5/SE:

Hey @kostajh - no, this is fine for the subsequent steps. It should just be sticky on the first screen so that "ask a question" remains visible in case of smaller screens where other help content would potentially push it out of view were it not to be sticky.

Change 482820 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] Help Panel: Make post a question form sticky to bottom of panel

https://gerrit.wikimedia.org/r/482820

Change 482820 abandoned by Kosta Harlan:
Help Panel: Make post a question form sticky to bottom of panel

https://gerrit.wikimedia.org/r/482820

Change 482871 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[operations/mediawiki-config@master] GrowthExperiments help panel: Add more example links in beta

https://gerrit.wikimedia.org/r/482871

Change 482871 merged by jenkins-bot:
[operations/mediawiki-config@master] GrowthExperiments help panel: Add more example links in beta

https://gerrit.wikimedia.org/r/482871

So, with regards to:

The "post a question" form is sticky to the bottom of the mobile screen and exists on a separate layer from the other help panel contents

and

Other help panel content scrolls behind the "Post a question" form

I think we are in good shape. We've updated enwiki beta with 5 links so that you can see scrollable content above the post a question form.

With regards to:

The form should always appear above the device keyboard when the keyboard is activated

That is being worked on in T212967. Note that this bug only appears to occur with VE as the editing mode. Please let me know if you're seeing undesirable behavior in wikitext mode as well.

When the focus is on the textbox, the areas of the question text box and the Help panel can be scrolled separately (to see the text items on the panel) or together with the text box

LGTM as well (tested on Chrome mobile browser on Pixel, Android OS 9)

(open full screen to see animated gif)

MMiller_WMF closed this task as Resolved.Jan 15 2019, 12:10 AM